package cn.iocoder.yudao.module.attendance.controller.admin.business.vo;

import cn.iocoder.yudao.module.infra.api.file.dto.FileDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 出差信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class AttendanceBusinessRespVO {

    @Schema(description = "出差表单主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "21097")
    @ExcelProperty("出差表单主键")
    private Long id;

    @Schema(description = "uuid", example = "20857")
    @ExcelProperty("uuid")
    private String businessId;

    @Schema(description = "出差人id", example = "797")
    @ExcelProperty("出差人id")
    private Long employeeId;

    @Schema(description = "出差人uuid", example = "5176")
    @ExcelProperty("出差人uuid")
    private String employeeUuid;

    @Schema(description = "出差员工姓名", example = "芋艿")
    @ExcelProperty("出差员工姓名")
    private String employeeName;

    @Schema(description = "出差员工手机号")
    @ExcelProperty("出差员工手机号")
    private String employeePhone;

    @Schema(description = "用户账号id", example = "25207")
    @ExcelProperty("用户账号id")
    private Long userId;

    @Schema(description = "用户账号uuid", example = "28825")
    @ExcelProperty("用户账号uuid")
    private String userUuid;

    @Schema(description = "部门id", example = "17524")
    @ExcelProperty("部门id")
    private Long deptId;

    @Schema(description = "部门uuid", example = "30513")
    @ExcelProperty("部门uuid")
    private String deptUuid;

    @Schema(description = "部门名称", example = "财务部")
    @ExcelProperty("部门名称")
    private String deptName;

    @Schema(description = "职位")
    @ExcelProperty("职位")
    private String position;

    @Schema(description = "出差事由", example = "不好")
    @ExcelProperty("出差事由")
    private String reason;

    @Schema(description = "出差目的地")
    @ExcelProperty("出差目的地")
    private String destination;

    @Schema(description = "出差开始日期")
    @ExcelProperty("出差开始日期")
    private String startDate;

    @Schema(description = "出差结束日期")
    @ExcelProperty("出差结束日期")
    private String endDate;

    @Schema(description = "出差天数（d）")
    @ExcelProperty("出差天数（d）")
    private String day;

    @Schema(description = "出差预算费用，单位（元）", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("出差预算费用，单位（元）")
    private BigDecimal estimatedCost;

    @Schema(description = "备注")
    @ExcelProperty("备注")
    private String remarks;

    @Schema(description = "状态", requiredMode = Schema.RequiredMode.REQUIRED, example = "1")
    @ExcelProperty("状态")
    private Integer status;

    @Schema(description = "数据来源，0流程添加、1手动添加")
    @ExcelProperty("数据来源，0流程添加、1手动添加")
    private String infoSource;

    @Schema(description = "创建人员工id", example = "13908")
    @ExcelProperty("创建人员工id")
    private Long creatorEmployeeId;

    @Schema(description = "创建人员工姓名", example = "张三")
    @ExcelProperty("创建人员工姓名")
    private String creatorEmployeeName;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "租户编号", example = "1")
    @ExcelProperty("租户编号")
    private Long tenantId;

    @Schema(description = "附件列表")
    private List<FileDTO> fileList;

    @Schema(description = "附件id列表")
    private List<Long> fileIdList;

}